Bug 145536 - Installed RPM cannot be removed. No error message
Installed RPM cannot be removed. No error message
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 10:05 EST by Rolf Fokkens
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 12:14:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2005-01-19 10:05:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
After installing the rpm
ftp://ftp.idsoftware.com/idstuff/quake2/unix/quake2-3.20-glibc-6.i386.rpm

This RPM cannot be removed. Other RPMS still can.

No error message appears.

Version-Release number of selected component (if applicable):
rpm-4.3.2-21

How reproducible:
Always

Steps to Reproduce:
1. rpm -i quake2-3.20-glibc-6.i386.rpm
2. rpm -e quake2
3. rpm -q quake2
    

Actual Results:  No error message, but the package is still there.

Expected Results:  The package should have been removed.

Additional info:

Trying to reproduce it I managed t get this Package twice in the RPM
database. As said: I can't remove it.

I tried rpm --rebuilddb to recreate te RPM database, but it doesn't help.
Comment 1 Jeff Johnson 2005-01-19 10:54:47 EST
Please attach the output of rpm -evv.
Comment 2 Rolf Fokkens 2005-01-19 14:18:17 EST
-sh-3.00# rpm -evv --allmatches quake2
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name rdonly mode=0x0
D:  read h#     197 Header sanity check: OK
D:  read h#     443 Header sanity check: OK
D: ========== --- quake2-3.20-glibc-6 i386/Linux 0x0
D: opening  db index       /var/lib/rpm/Requirename rdonly mode=0x0
D: ========== --- quake2-3.20-glibc-6 i386/Linux 0x0
D: closed   db index       /var/lib/rpm/Requirename
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages create mode=0x42
D: mounted filesystems:
D:     i    dev bsize       bavail       iavail mount point
D:     0 0x0303  4096      1766905      4554715 /
D:     1 0x0003  4096            0           -1 /proc
D:     2 0x0000  4096            0           -1 /sys
D:     3 0x0009  4096            0           -1 /dev/pts
D:     4 0x000e  4096            0           -1 /proc/bus/usb
D:     5 0x0301  1024        84308        26057 /boot
D:     6 0x0343  4096       260311      4127798 /mnt/tmp
D:     7 0x000f  4096        64411        64410 /dev/shm
D:     8 0x0010  4096        64411        64410 /var/lib/jack/tmp
D:     9 0x0011  4096            0           -1 /proc/sys/fs/binfmt_misc
D:    10 0x0012  4096            0           -1 /var/lib/nfs/rpc_pipefs
D: sanity checking 2 elements
D: computing 188 file fingerprints
D: computing file dispositions
D: opening  db index       /var/lib/rpm/Basenames create mode=0x42
D: ========== --- quake2-3.20-glibc-6 i386-Linux 0x0
D:     erase: quake2-3.20-glibc-6 has 94 files, test = 0
D: opening  db index       /var/lib/rpm/Name create mode=0x42
D:  read h#     443 Header sanity check: OK
D: ========== --- quake2-3.20-glibc-6 i386-Linux 0x0
D:     erase: quake2-3.20-glibc-6 has 94 files, test = 0
D:  read h#     197 Header sanity check: OK
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
-sh-3.00#      
Comment 3 Jeff Johnson 2005-01-19 23:32:57 EST
Ah, you've installed 2 copies.

Add --allmatches, and I suspect that both packages will be removed.

Does that fix?
Comment 4 Rolf Fokkens 2005-01-20 03:56:49 EST
No fix.

As said in the initial report: 

Trying to reproduce it I managed t get this Package twice in the RPM
database. As said: I can't remove it.

I already tried --allmatches, but I cant't get rid of the both of
them. No error messages, they're just there.

So if I install a third one, I get stuck with 3 RPMS that I can't
remove.  

Comment 5 Jeff Johnson 2005-01-20 09:02:30 EST
Try adding --noscripts
   rpm -evv --allmateches --noscripts quake2

That worksforme.
Comment 6 Rolf Fokkens 2005-01-20 11:07:34 EST
The noscripts option apparently does it. I would have expected some
kind of error message if scripts fail.

Thanks!
Comment 7 Jeff Johnson 2005-01-20 12:14:18 EST
quake2 was packaged by rpm-2.5 over 5 years ago. who knows?

Note You need to log in before you can comment on or make changes to this bug.